Archive a PayoutMethod object v2

Archive a PayoutMethod object. Archived objects cannot be used as payout methods and will not appear in the payout method list.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    ID of the payout method.

Returns

Response attributes

  • idstring

    ID of the PayoutMethod object.

  • objectstring, value is "v2.money_management.payout_method"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • available_payout_speedsarray of enums

    A set of available payout speeds for this payout method.

    Possible enum values
    instant

    Instant.

    standard

    Standard.

  • bank_accountnullable object

    The PayoutMethodBankAccount object details.

  • cardnullable object

    The PayoutMethodCard object details.

  • createdtimestamp

    Created timestamp.

  • latest_outbound_setup_intentnullable string

    ID of the underlying active OutboundSetupIntent object, if any.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • typeenum

    The type of payout method.

    Possible enum values
    bank_account

    Bank account.

    card

    Card.

    crypto_wallet

    Crypto wallet.

  • usage_statusobject

    Indicates whether the payout method has met the necessary requirements for outbound money movement.

400bank_account_cannot_be_archived

Returned when the PayoutMethodBankAccount object is controlled by the Stripe Dashboard, and cannot be archived.

400invalid_payout_method

Returned in cases where the ID provided doesn’t correspond to a valid payout method.

404not_found

The resource wasn’t found.

POST /v2/money_management/payout_methods/:id/archive
curl -X POST https://api.stripe.com/v2/money_management/payout_methods/usba_test_61S8MLMQAjFLoPjqt16QsOpAPpE97EJALhqt1U5mCNB2/archive \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-11-17.preview"
Response
{
"id": "usba_test_61S8MLMQAjFLoPjqt16QsOpAPpE97EJALhqt1U5mCNB2",
"object": "v2.money_management.payout_method",
"available_payout_speeds": [
"standard"
],
"bank_account": {
"archived": true,
"bank_name": "Test Bank",
"country": "US",
"enabled_delivery_options": [
"local"
],
"last4": "6789",
"routing_number": "110000000",
"supported_currencies": [
"usd"
],
"bank_account_type": "checking"
},
"created": "2025-03-04T16:32:04.907Z",
"latest_outbound_setup_intent": "osi_test_61S8MLMXLJbg85kWm16QsOpAPpE97EJALhqt1U5mCXrk",
"type": "bank_account",
"usage_status": {
"payments": "eligible",
"transfers": "eligible"
},
"livemode": true
}

Unarchive a PayoutMethod object v2

Unarchive an PayoutMethod object.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    ID of the Payout Method.

Returns

Response attributes

  • idstring

    ID of the PayoutMethod object.

  • objectstring, value is "v2.money_management.payout_method"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • available_payout_speedsarray of enums

    A set of available payout speeds for this payout method.

    Possible enum values
    instant

    Instant.

    standard

    Standard.

  • bank_accountnullable object

    The PayoutMethodBankAccount object details.

  • cardnullable object

    The PayoutMethodCard object details.

  • createdtimestamp

    Created timestamp.

  • latest_outbound_setup_intentnullable string

    ID of the underlying active OutboundSetupIntent object, if any.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • typeenum

    The type of payout method.

    Possible enum values
    bank_account

    Bank account.

    card

    Card.

    crypto_wallet

    Crypto wallet.

  • usage_statusobject

    Indicates whether the payout method has met the necessary requirements for outbound money movement.

400bank_account_cannot_be_unarchived

Returned when the PayoutMethodBankAccount object is controlled by the Stripe Dashboard, and cannot be unarchived.

400invalid_payout_method

Returned in cases where the ID provided doesn’t correspond to a valid payout method.

404not_found

The resource wasn’t found.

POST /v2/money_management/payout_methods/:id/unarchive
curl -X POST https://api.stripe.com/v2/money_management/payout_methods/card_test_61SITa59fSaPfOGuU16QsOpAPpE97EJALhqt1U5mC1lg/unarchive \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-11-17.preview"
Response
{
"id": "card_test_61SITa59fSaPfOGuU16QsOpAPpE97EJALhqt1U5mC1lg",
"object": "v2.money_management.payout_method",
"available_payout_speeds": [
"standard",
"instant"
],
"card": {
"archived": false,
"exp_month": "10",
"exp_year": "2028",
"last4": "5556"
},
"created": "2025-04-01T14:17:05.425Z",
"latest_outbound_setup_intent": null,
"type": "card",
"usage_status": {
"payments": "eligible",
"transfers": "eligible"
},
"livemode": true
}

PayoutMethod event types v2

This is a list of all public thin events we currently send for updates to PayoutMethod, which are continually evolving and expanding. The payload of thin events is unversioned. During processing, you must fetch the versioned event from the API or fetch the resource’s current state.

Event types

Type
Filter events by type